package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class TmstrainLoadingTemp implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 车皮号(RESULT_WAGON_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车皮号",required=false)
    private String resultWagonNo;

    /**
     * 车皮标重(RESULT_BILLABLE_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="车皮标重",required=false)
    private BigDecimal resultBillableTonnage;

    /**
     * 物资名(MATERIAL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物资名",required=false)
    private String materialName;

    /**
     * 发站名(SEND_STATION,VARCHAR,20)
     */
    @ApiModelProperty(value="发站名",required=false)
    private String sendStation;

    /**
     * 到站名(ARRIVAL_STATION,VARCHAR,20)
     */
    @ApiModelProperty(value="到站名",required=false)
    private String arrivalStation;

    /**
     * 发货单位名(SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名",required=false)
    private String supplierName;

    /**
     * 发货日期(SEND_DATE,VARCHAR,20)
     */
    @ApiModelProperty(value="发货日期",required=false)
    private String sendDate;

    /**
     * 制票日期(MAKE_DATE,VARCHAR,20)
     */
    @ApiModelProperty(value="制票日期",required=false)
    private String makeDate;

    /**
     * 矿种(MINERAL,VARCHAR,100)
     */
    @ApiModelProperty(value="矿种",required=false)
    private String mineral;

    /**
     * 采购订单号(PURCHASE_ORDER_NO,VARCHAR,100)
     */
    @ApiModelProperty(value="采购订单号",required=false)
    private String purchaseOrderNo;

    /**
     * 出库单id(OUTBOUNT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="出库单id",required=false)
    private BigDecimal outbountId;

    /**
     * 修改人(UPDATE_USERNAME,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateUsername;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public String getResultWagonNo() {
        return resultWagonNo;
    }

    public void setResultWagonNo(String resultWagonNo) {
        this.resultWagonNo = resultWagonNo == null ? null : resultWagonNo.trim();
    }

    public BigDecimal getResultBillableTonnage() {
        return resultBillableTonnage;
    }

    public void setResultBillableTonnage(BigDecimal resultBillableTonnage) {
        this.resultBillableTonnage = resultBillableTonnage;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSendStation() {
        return sendStation;
    }

    public void setSendStation(String sendStation) {
        this.sendStation = sendStation == null ? null : sendStation.trim();
    }

    public String getArrivalStation() {
        return arrivalStation;
    }

    public void setArrivalStation(String arrivalStation) {
        this.arrivalStation = arrivalStation == null ? null : arrivalStation.trim();
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName == null ? null : supplierName.trim();
    }

    public String getSendDate() {
        return sendDate;
    }

    public void setSendDate(String sendDate) {
        this.sendDate = sendDate == null ? null : sendDate.trim();
    }

    public String getMakeDate() {
        return makeDate;
    }

    public void setMakeDate(String makeDate) {
        this.makeDate = makeDate == null ? null : makeDate.trim();
    }

    public String getMineral() {
        return mineral;
    }

    public void setMineral(String mineral) {
        this.mineral = mineral == null ? null : mineral.trim();
    }

    public String getPurchaseOrderNo() {
        return purchaseOrderNo;
    }

    public void setPurchaseOrderNo(String purchaseOrderNo) {
        this.purchaseOrderNo = purchaseOrderNo == null ? null : purchaseOrderNo.trim();
    }

    public BigDecimal getOutbountId() {
        return outbountId;
    }

    public void setOutbountId(BigDecimal outbountId) {
        this.outbountId = outbountId;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultWagonNo=").append(resultWagonNo);
        sb.append(", resultBillableTonnage=").append(resultBillableTonnage);
        sb.append(", materialName=").append(materialName);
        sb.append(", sendStation=").append(sendStation);
        sb.append(", arrivalStation=").append(arrivalStation);
        sb.append(", supplierName=").append(supplierName);
        sb.append(", sendDate=").append(sendDate);
        sb.append(", makeDate=").append(makeDate);
        sb.append(", mineral=").append(mineral);
        sb.append(", purchaseOrderNo=").append(purchaseOrderNo);
        sb.append(", outbountId=").append(outbountId);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}