package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstrainLoadingResult;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstrainLoadingResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-30 02:23
 * 类描述
 * 修订历史：
 * 日期：2021-08-30
 * 作者：generator
 * 参考：
 * 描述：TmstrainLoadingResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstrainLoadingResultService{
    //查询所有装车作业信息
    List<Map<String, Object>> getTmstrainWagonLoad(Map<String,Object> map);

    //新增车皮装车作业实绩
    int addTmstrainLoadingResult(Map<String,Object> mapValue) throws Exception;

    //获得发站地点名称
    List<Map<String, Object>> getSendStationName();

    //获得到站地点名称
    List<Map<String, Object>> getArrivalStationName();

    //获得批次ID
    List<Map<String, Object>> getBatchId();

    //获得装车车皮号
    List<Map<String, Object>> getWagonNo(Map<String, Object> map);

    //通过主键获得车皮装车信息
    List<Map<String, Object>> getTmstrainLoadingResultByResultId(BigDecimal resultId);

    //修改车皮装车作业实绩
    int updateTmstrainLoadingResult(Map<String, Object> map) throws Exception;

    //通过主键删除车皮装车作业实绩
    int deleteTmstrainLoadingResultByResultId(BigDecimal resultId);

     //内转新增装车实绩
    int addTrainLoadResultForConverted(Map<String, Object> map);

    //国产矿导入
    List<Map<String, Object>> importDomesticLoadResult(Map<String, Object> mapValue);

    //进口矿导入
    List<Map<String, Object>> importImportedLoadResult(Map<String, Object> mapValue);

    //添加国产矿装车实绩
    int addDomesticLoadResult(Map<String, Object> mapValue) throws Exception;

    //补录采购订单信息
    int updateDomesticLoadResult(Map<String, Object> map) throws Exception;

    //内转物流通过id查询装车作业
    List<Map<String,Object>> selectLoadByResultId(BigDecimal resultId);

    //通过装车实绩主键查询关联的物资信息与车牌号
    List<Map<String, Object>> getMaterialAndCarByLoadingId(Map<String, Object> map);

    //根据物资名和外轮船名查询采购订单号
    List<Map<String,Object>> getPurchaseOrderList(Map<String,Object> map);

    int addWarehouseOutResult(Map<String, Object> map) throws Exception;

     //修改港口出库
    int updateWarehouseResult(Map<String, Object> map) throws Exception;

    List<Map<String, Object>> getWareHouseOutresult(BigDecimal resultId);

    //查询临时表中的resultType的未绑定实绩的车皮
    List<Map<String,Object>> getResultType(Map<String,Object> map);

    //新增万州港-达州装车实绩
    int addShipLoadResult(Map<String,Object> map);
}